import type { RouteRecordRaw } from "vue-router";
import Middleware from "@/js/contexts/shared/models/Middleware";
import { Permission } from "@/js/contexts/shared/models/Permission";

const routes: RouteRecordRaw[] = [
  {
    name: "admin.analytics",
    path: "/admin/analytics",
    component: () => import("@/js/contexts/admin/analytics/ui/pages/AnalyticsPage.vue"),
    meta: {
      middleware: [Middleware.auth],
      permissions: [Permission.ADMIN_ANALYTICS],
    },
  },
];

export default routes;
